BloomFilterIO.Encoding (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.util

## Enum BloomFilterIO.Encoding

- java.lang.Object
- - java.lang.Enum<BloomFilterIO.Encoding>
  - - org.apache.orc.util.BloomFilterIO.Encoding

- All Implemented Interfaces:
    Serializable, Comparable<BloomFilterIO.Encoding>
  Enclosing class:
    BloomFilterIO

      public static enum BloomFilterIO.Encoding
      extends Enum<BloomFilterIO.Encoding>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FUTURE`
    `ORIGINAL`
    `UTF8_UTC`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BloomFilterIO.Encoding` | `CURRENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BloomFilterIO.Encoding` | `from(OrcProto.ColumnEncoding encoding)`
    `int` | `getId()`
    `static BloomFilterIO.Encoding` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BloomFilterIO.Encoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL

          public static final BloomFilterIO.Encoding ORIGINAL

    - #### UTF8_UTC

          public static final BloomFilterIO.Encoding UTF8_UTC

    - #### FUTURE

          public static final BloomFilterIO.Encoding FUTURE

  - ### Field Detail

    - #### CURRENT

          public static final BloomFilterIO.Encoding CURRENT

  - ### Method Detail

    - #### values

          public static BloomFilterIO.Encoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BloomFilterIO.Encoding c : BloomFilterIO.Encoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BloomFilterIO.Encoding valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### from

          public static BloomFilterIO.Encoding from(OrcProto.ColumnEncoding encoding)

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.